| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bshow.cpp File Reference

A shared object to load Bsoft image files in TCL/Tk. More...

`#include <tk.h>`
`#include "tcltk_bimage.h"`
`#include "tcltk_bmg.h"`
`#include "tcltk_bmodel.h"`
`#include "file_util.h"`
`#include "timer.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | Bshow_Init (Tcl_Interp *interp)
int | Bshow_SafeInit (Tcl_Interp *interp)

## Variables
int | verbose
Bimage * | imglist = NULL
Bproject * | project = NULL
Bmodel * | model = NULL
Bimage * | imgtemp = NULL

## Detailed Description

A shared object to load Bsoft image files in TCL/Tk.

Author
  Bernard Heymann

Date
  Created: 20010210
  Modified: 20170317

Definition in file bshow.cpp.

## Function Documentation

## ◆ Bshow_Init()

int Bshow_Init | ( | Tcl_Interp * | interp | ) |

Definition at line 37 of file bshow.cpp.

## ◆ Bshow_SafeInit()

int Bshow_SafeInit | ( | Tcl_Interp * | interp | ) |

Definition at line 48 of file bshow.cpp.

## Variable Documentation

## ◆ imglist

Bimage* imglist = NULL

Definition at line 30 of file bshow.cpp.

## ◆ imgtemp

Bimage* imgtemp = NULL

Definition at line 34 of file bshow.cpp.

## ◆ model

Bmodel* model = NULL

Definition at line 32 of file bshow.cpp.

## ◆ project

Bproject* project = NULL

Definition at line 31 of file bshow.cpp.

## ◆ verbose

int verbose